package com.prolog.cs.biz.outbound.model.dto;

import com.prolog.cs.biz.inbound.dto.IsSuperviseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 波次分组订单，商品明细表
 * @Date 2021-03-25
 */

@ApiModel
public class OuterCheckDDTO extends IsSuperviseDTO implements Serializable {
    private static final long serialVersionUID = 5747076022342382841L;

    @ApiModelProperty(value = "商品id")
    private String itemId;

    @ApiModelProperty(value = "商品编码")
    private String itemCode;

    @ApiModelProperty(value = "商品名称")
    private String itemName;

    @ApiModelProperty(value = "商品规格")
    private String itemSpecs;

    @ApiModelProperty(value = "单位因子（包装数量/件数）")
    private BigDecimal conversionRate;

    @ApiModelProperty(value = "单位")
    private String uom;

    @ApiModelProperty(value = "批号")
    private String manufacturerLotNum;

    @ApiModelProperty(value = "批次号")
    private String batchNum;

    @ApiModelProperty(value = "库区编码")
    private String warehouseAreaCode;

    @ApiModelProperty(value = "库位编码")
    private String locatorCode;

    @ApiModelProperty(value = "生产厂家")
    private String manufacturer;

    @ApiModelProperty(value = "实际数量")
    private BigDecimal qty;

    @ApiModelProperty(value = "实际件数")
    private BigDecimal uomQty;

    @ApiModelProperty(value = "实际零散数")
    private BigDecimal oddPieceQty;

    @ApiModelProperty(value = "拼箱号")
    private BigDecimal lclNo;

//    @ApiModelProperty(value = "收货单位(客户)id")
//    private String shipperId;

    @ApiModelProperty(value = "收货单位(客户)名称")
    private String shipperName;

    @ApiModelProperty(value = "有效期至")
    private Date expiredDate;

    @ApiModelProperty(value = "生产日期")
    private Date productionDate;

    @ApiModelProperty(value = "外复核索取时间")
    private Date outerAskDate;

    @ApiModelProperty(value = "来源订单编号")
    private String srcCode;

    @ApiModelProperty(value = "拣货件数")
    private BigDecimal pickUomQty;

    @ApiModelProperty(value = "拣货零散数量")
    private BigDecimal pickOddPieceQty;

    @ApiModelProperty(value = "拣货数量")
    private BigDecimal pickQty;

    @ApiModelProperty(value = "拣选员名称")
    private String pickerName;

    @ApiModelProperty(value = "条码")
    private String barcode;

    @ApiModelProperty(value = "条码明细表id")
    private String barcodeDId;

//    @ApiModelProperty(value = "仓库id")
//    private String warehouseId;

    @ApiModelProperty(value = "货主名称")
    private String consignorName;

    @ApiModelProperty(value = "货主编码")
    private String consignorCode;

    @ApiModelProperty(value = "货主id")
    private String consignorId;





    @ApiModelProperty("是否双人复核(0:否 1：是)")
    private Integer itemHealthIsDouble;

    @ApiModelProperty("批准文号")
    private String itemHealthApprovalNbr;

    @ApiModelProperty("整散标记(?到仓库 ,不能为通用属性 01整散合一/02整散分开)")
    private Integer isCaseOrPiece;

    @ApiModelProperty("是否监管")
    private Integer itemHealthSuperviseflag;

    @ApiModelProperty("是否无菌(0否1是)")
    private Integer isBacteria;

    @ApiModelProperty("是否委托生产")
    private Integer isDelegate;

    @ApiModelProperty("商品是否代管(0否1是) 默认0")
    private Integer isHosted;

    @ApiModelProperty("商品大类code(医药属性)")
    private String itemHealthCategoryCode;

    @ApiModelProperty("生产商")
    private String manufacturerName;

    @ApiModelProperty("上市许可持有人")
    private String itemHealthListedLicensor;
    @ApiModelProperty("生产企业许可证号")
    private String itemHealthProduceLicense;

    @ApiModelProperty("注册证号")
    private String itemHealthRegisterNbr;

    @ApiModelProperty("备案号")
    private String itemHealthRecordNbr;

    @ApiModelProperty("体积(包装)")
    private BigDecimal volume;
    @ApiModelProperty("重量(包装)")
    private BigDecimal weight;

    @ApiModelProperty("拣货明细ID")
    private String pickTaskDId;


    public Integer getItemHealthIsDouble() {
        return itemHealthIsDouble;
    }

    public void setItemHealthIsDouble(Integer itemHealthIsDouble) {
        this.itemHealthIsDouble = itemHealthIsDouble;
    }

    public String getItemHealthApprovalNbr() {
        return itemHealthApprovalNbr;
    }

    public void setItemHealthApprovalNbr(String itemHealthApprovalNbr) {
        this.itemHealthApprovalNbr = itemHealthApprovalNbr;
    }

    public Integer getIsCaseOrPiece() {
        return isCaseOrPiece;
    }

    public void setIsCaseOrPiece(Integer isCaseOrPiece) {
        this.isCaseOrPiece = isCaseOrPiece;
    }

    public Integer getItemHealthSuperviseflag() {
        return itemHealthSuperviseflag;
    }

    public void setItemHealthSuperviseflag(Integer itemHealthSuperviseflag) {
        this.itemHealthSuperviseflag = itemHealthSuperviseflag;
    }

    public Integer getIsBacteria() {
        return isBacteria;
    }

    public void setIsBacteria(Integer isBacteria) {
        this.isBacteria = isBacteria;
    }

    public Integer getIsDelegate() {
        return isDelegate;
    }

    public void setIsDelegate(Integer isDelegate) {
        this.isDelegate = isDelegate;
    }

    public Integer getIsHosted() {
        return isHosted;
    }

    public void setIsHosted(Integer isHosted) {
        this.isHosted = isHosted;
    }

    public String getItemHealthCategoryCode() {
        return itemHealthCategoryCode;
    }

    public void setItemHealthCategoryCode(String itemHealthCategoryCode) {
        this.itemHealthCategoryCode = itemHealthCategoryCode;
    }

    public String getManufacturerName() {
        return manufacturerName;
    }

    public void setManufacturerName(String manufacturerName) {
        this.manufacturerName = manufacturerName;
    }

    public String getItemHealthListedLicensor() {
        return itemHealthListedLicensor;
    }

    public void setItemHealthListedLicensor(String itemHealthListedLicensor) {
        this.itemHealthListedLicensor = itemHealthListedLicensor;
    }

    public String getItemHealthProduceLicense() {
        return itemHealthProduceLicense;
    }

    public void setItemHealthProduceLicense(String itemHealthProduceLicense) {
        this.itemHealthProduceLicense = itemHealthProduceLicense;
    }

    public String getItemHealthRegisterNbr() {
        return itemHealthRegisterNbr;
    }

    public void setItemHealthRegisterNbr(String itemHealthRegisterNbr) {
        this.itemHealthRegisterNbr = itemHealthRegisterNbr;
    }

    public String getItemHealthRecordNbr() {
        return itemHealthRecordNbr;
    }

    public void setItemHealthRecordNbr(String itemHealthRecordNbr) {
        this.itemHealthRecordNbr = itemHealthRecordNbr;
    }

    public BigDecimal getVolume() {
        return volume;
    }

    public void setVolume(BigDecimal volume) {
        this.volume = volume;
    }

    public BigDecimal getWeight() {
        return weight;
    }

    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }

    public String getItemCode() {
        return itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getItemSpecs() {
        return itemSpecs;
    }

    public void setItemSpecs(String itemSpecs) {
        this.itemSpecs = itemSpecs;
    }

    public BigDecimal getConversionRate() {
        return conversionRate;
    }

    public void setConversionRate(BigDecimal conversionRate) {
        this.conversionRate = conversionRate;
    }

    public String getUom() {
        return uom;
    }

    public void setUom(String uom) {
        this.uom = uom;
    }

    public String getManufacturerLotNum() {
        return manufacturerLotNum;
    }

    public void setManufacturerLotNum(String manufacturerLotNum) {
        this.manufacturerLotNum = manufacturerLotNum;
    }

    public String getBatchNum() {
        return batchNum;
    }

    public void setBatchNum(String batchNum) {
        this.batchNum = batchNum;
    }

    public String getWarehouseAreaCode() {
        return warehouseAreaCode;
    }

    public void setWarehouseAreaCode(String warehouseAreaCode) {
        this.warehouseAreaCode = warehouseAreaCode;
    }

    public String getLocatorCode() {
        return locatorCode;
    }

    public void setLocatorCode(String locatorCode) {
        this.locatorCode = locatorCode;
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public BigDecimal getQty() {
        return qty;
    }

    public void setQty(BigDecimal qty) {
        this.qty = qty;
    }

    public BigDecimal getUomQty() {
        return uomQty;
    }

    public void setUomQty(BigDecimal uomQty) {
        this.uomQty = uomQty;
    }

    public BigDecimal getOddPieceQty() {
        return oddPieceQty;
    }

    public void setOddPieceQty(BigDecimal oddPieceQty) {
        this.oddPieceQty = oddPieceQty;
    }

    public BigDecimal getLclNo() {
        return lclNo;
    }

    public void setLclNo(BigDecimal lclNo) {
        this.lclNo = lclNo;
    }

    public String getShipperName() {
        return shipperName;
    }

    public void setShipperName(String shipperName) {
        this.shipperName = shipperName;
    }

    public Date getExpiredDate() {
        return expiredDate;
    }

    public void setExpiredDate(Date expiredDate) {
        this.expiredDate = expiredDate;
    }

    public Date getProductionDate() {
        return productionDate;
    }

    public void setProductionDate(Date productionDate) {
        this.productionDate = productionDate;
    }

    public Date getOuterAskDate() {
        return outerAskDate;
    }

    public void setOuterAskDate(Date outerAskDate) {
        this.outerAskDate = outerAskDate;
    }

    public String getSrcCode() {
        return srcCode;
    }

    public void setSrcCode(String srcCode) {
        this.srcCode = srcCode;
    }

    public BigDecimal getPickUomQty() {
        return pickUomQty;
    }

    public void setPickUomQty(BigDecimal pickUomQty) {
        this.pickUomQty = pickUomQty;
    }

    public BigDecimal getPickOddPieceQty() {
        return pickOddPieceQty;
    }

    public void setPickOddPieceQty(BigDecimal pickOddPieceQty) {
        this.pickOddPieceQty = pickOddPieceQty;
    }

    public BigDecimal getPickQty() {
        return pickQty;
    }

    public void setPickQty(BigDecimal pickQty) {
        this.pickQty = pickQty;
    }

    public String getPickerName() {
        return pickerName;
    }

    public void setPickerName(String pickerName) {
        this.pickerName = pickerName;
    }

    public String getBarcode() {
        return barcode;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public String getBarcodeDId() {
        return barcodeDId;
    }

    public void setBarcodeDId(String barcodeDId) {
        this.barcodeDId = barcodeDId;
    }

    public String getConsignorName() {
        return consignorName;
    }

    public void setConsignorName(String consignorName) {
        this.consignorName = consignorName;
    }

    public String getConsignorCode() {
        return consignorCode;
    }

    public void setConsignorCode(String consignorCode) {
        this.consignorCode = consignorCode;
    }

    public String getConsignorId() {
        return consignorId;
    }

    public void setConsignorId(String consignorId) {
        this.consignorId = consignorId;
    }

    @Override
    public String getItemId() {
        return itemId;
    }

    @Override
    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getPickTaskDId() {
        return pickTaskDId;
    }

    public void setPickTaskDId(String pickTaskDId) {
        this.pickTaskDId = pickTaskDId;
    }
}
